Page 1 of 2 12 LastLast
Results 1 to 10 of 20

Thread: Installing Lich

  1. Default Installing Lich

    I'm trying to install Lich on a second computer.. I've followed each step as I did before, When I try to open Lich it's self it keeps asking me to download GTK2. I've done this at lease a dozen times. Any help please? ...Oh it's on windows 8

  2. #2

    Default

    check the version of ruby?
    Quote Originally Posted by Kranar View Post
    Euler is correct. The probability of a dart thrown onto any non-empty real interval will 'hit' a transcendental number 100% of the time, or with probability 1, or another term used is almost surely.

    threads killed :302

  3. Default

    Quote Originally Posted by Euler View Post
    check the version of ruby?
    I clicked the link and downloaded the one it says to which is "Ruby 2.0.0-p647"

  4. #4

    Default

    check the ruby on your machine. You may have had another version installed already. I am an idiot, but I think GTK errors are usually ruby version issues with lich.
    Quote Originally Posted by Kranar View Post
    Euler is correct. The probability of a dart thrown onto any non-empty real interval will 'hit' a transcendental number 100% of the time, or with probability 1, or another term used is almost surely.

    threads killed :302

  5. Default

    yeah, it's reading as 2.0.0 i've uninstalled it and reinstalled it.. same thing... I'm really at a huge loss here

  6. Default

    Open a command prompt as admin (click start button, type cmd in search bar, right-click on cmd.exe in the list, click on "Run as administrator"), copy/paste this and hit enter:

    c:\ruby200\bin\gem.bat install gtk2 --source http://rubygems.org --no-ri --no-rdoc

    then copy/paste the results here. The command prompt kind of makes it seem like you can't copy from it. Just right-click, click select all, hit enter, come here and paste it.
    Get Lich - Vote for Gemstone (topmudsites.com)

  7. #7

    Default

    Was doing a reinstall of ruby / lich on this machine and ran into this problem this is what you get after installing the gtk2 gem:

    Code:
    C:\Ruby200-x64>gem.bat install gtk2 --source http://rubygems.org --no-ri --no-rd
    oc
    Fetching: cairo-1.14.3-x64-mingw32.gem (100%)
    Successfully installed cairo-1.14.3-x64-mingw32
    Fetching: glib2-3.0.5-x64-mingw32.gem (100%)
    Successfully installed glib2-3.0.5-x64-mingw32
    Fetching: atk-3.0.5-x64-mingw32.gem (100%)
    Successfully installed atk-3.0.5-x64-mingw32
    Fetching: pango-3.0.5-x64-mingw32.gem (100%)
    Successfully installed pango-3.0.5-x64-mingw32
    Fetching: gdk_pixbuf2-3.0.5-x64-mingw32.gem (100%)
    Successfully installed gdk_pixbuf2-3.0.5-x64-mingw32
    Fetching: gtk2-3.0.5-x64-mingw32.gem (100%)
    Successfully installed gtk2-3.0.5-x64-mingw32
    6 gems installed
    
    C:\Ruby200-x64>
    Now when I run lich i'm having the same problem I was before, where selecting a character results in nothing, no game lauch just the program closing. I'm able to enter the game with any method, but unable to link lich with the SGE, the website, or launch the game from the lich window itself. I had not changed anything recently but one morning I was just unable to log in.
    Last edited by Tenzle; 09-25-2015 at 09:04 AM.

  8. Default

    Well.. interesting..

    You have the 64 bit version of Ruby. The installation instructions say to use the 32 bit version, and then it says not to use the 64 bit version. However, it says that because the 64 bit gtk2 gems weren't precompiled for Windows when I wrote the instructions, but it appears that they are now according to your copy/paste.

    So, on one hand, good for you! On the other hand, as far as I know, no one has used or tested 64 bit Lich on Windows. In theory, it should work fine, so your issue may or may not be related. The debug file might have some clues as to what is going on.
    Get Lich - Vote for Gemstone (topmudsites.com)

  9. #9

    Default

    Getting this in the log file:

    Code:
    2015-09-25 08:56:58: info: Lich 4.6.22
    2015-09-25 08:56:58: info: Ruby 2.0.0
    2015-09-25 08:56:58: info: x64-mingw32
    2015-09-25 08:56:58: info: no force-mode info given
    2015-09-25 08:59:11: error: failed to find the Simutronics launcher
    Also before my reinstall lich was working fine on ruby 2.1+ 64 bit it just takes a little bit of work to get the gems installed. Of note I'm not able to link to anything even after several uninstall/reinstalls of SGE and SF.
    Last edited by Tenzle; 09-25-2015 at 01:18 PM.

  10. Default

    Try reinstalling the Simutronics launcher.
    Get Lich - Vote for Gemstone (topmudsites.com)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •